/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2015. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                            1       /* callback function: PanelCallback */
#define  PANEL_PLOT1                      2       /* control type: command, callback function: PlotCallback */
#define  PANEL_PLOT2                      3       /* control type: command, callback function: PlotCallback */
#define  PANEL_PLOT3                      4       /* control type: command, callback function: PlotCallback */
#define  PANEL_LEVELS                     5       /* control type: radioButton, callback function: LevelsCallback */
#define  PANEL_LEVELS_NUM                 6       /* control type: numeric, callback function: LevelsNumCallback */
#define  PANEL_INTERVAL                   7       /* control type: radioButton, callback function: IntervalCallback */
#define  PANEL_INTERVAL_NUM               8       /* control type: numeric, callback function: IntervalNumCallback */
#define  PANEL_ANCHOR                     9       /* control type: radioButton, callback function: AnchorCallback */
#define  PANEL_ANCHOR_NUM                 10      /* control type: numeric, callback function: AnchorNumCallback */
#define  PANEL_SHOW_LABELS                11      /* control type: radioButton, callback function: ShowLabelsCallback */
#define  PANEL_LABEL_FORMAT               12      /* control type: string, callback function: LabelFormatCallback */
#define  PANEL_LABEL_COLOR                13      /* control type: ring, callback function: LabelColorCallback */
#define  PANEL_LINE_COLOR                 14      /* control type: ring, callback function: LineColorCallback */
#define  PANEL_LINE_STYLE                 15      /* control type: ring, callback function: LineStyleCallback */
#define  PANEL_SURFACE_GRAPH              16      /* control type: activeX, callback function: (none) */
#define  PANEL_CONTOUR_GRAPH              17      /* control type: activeX, callback function: (none) */
#define  PANEL_DECORATION                 18      /* control type: deco, callback function: (none) */
#define  PANEL_DECORATION_2               19      /* control type: deco, callback function: (none) */
#define  PANEL_LEVELS_LABEL               20      /* control type: textMsg, callback function: (none) */
#define  PANEL_LABELS_LINES_LABEL         21      /* control type: textMsg, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */

int  CVICALLBACK AnchorCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK AnchorNumCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK IntervalCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK IntervalNumCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LabelColorCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LabelFormatCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LevelsCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LevelsNumCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LineColorCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK LineStyleCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PanelCallback(int panel, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK PlotCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ShowLabelsCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
